classification
Title: Patch for TCL 8.5 support
Type: enhancement Stage:
Components: IDLE Versions: Python 3.0
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: kbk Nosy List: christian.heimes, kbk, taleinat
Priority: normal Keywords: patch

Created on 2007-12-13 07:35 by christian.heimes, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
py3k_tcltk85.patch christian.heimes, 2007-12-13 07:35
Messages (9)
msg58523 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-13 07:35
I've tested Tcl 8.5b3, Tk 8.5b3 and Tix 8.4.2 on Windows. IDLE
complained at multiple places that it could not add a Tcl_Obj to a
string (index + "...") or convert it to a float int(float(index)).
Therefor I added an __add__ and __float__ number slot to the C code. I
also had to add two str() calls.
msg58605 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-14 01:12
But indices are supposed to be strings according to the Tk 
documentation, and with 8.4 the Tkinter indices are strings.  Since 
most of the Tkinter 'documentation' is actually the Tcl/Tk man pages, 
it would be quite confusing to users if Tkinter diverged from Tcl/Tk 
in this regard.  I don't see any change from string in the Tk 8.5 
Text man page.

Second, is there a plan to switch to 8.5 for py3k?  If so, please 
post a link so I can catch up!  (I'm in favor of switching to 8.5, 
btw.)
msg58650 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-15 02:01
"Plans" is exaggerated. I was merely testing Tcl 8.5. The Python 3.0a2
release has some major problems with Tcl. The Win32 version doesn't work
well and I wasn't able to create a 64bit version. Do you have a Windows
box to test IDLE on Windows? You can use the free VS2008 Express Edition
to compile Python.
msg58708 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-17 21:58
I do have an XP on multiboot.  I'm not very enthusiatic about learning 
MS tools; the last time I built Python on W. was with VC5 in the days 
when IDLE had a small C extension, later incorporated into Python.  If 
the Tk 8.5/Tkinkter problem doesn't get fixed I suppose I'lll have to 
attempt 
it again.  Thanks for the link.
msg58713 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-17 23:52
Kurt B. Kaiser wrote:
> I do have an XP on multiboot.  I'm not very enthusiatic about learning 
> MS tools; the last time I built Python on W. was with VC5 in the days 
> when IDLE had a small C extension, later incorporated into Python.  If 
> the Tk 8.5/Tkinkter problem doesn't get fixed I suppose I'lll have to 
> attempt 
> it again.  Thanks for the link.

In the past it was a real pain in the ... to set up a build env. Since I
have created the PCbuild9 directory for VS 2008 and we decided to build
new builds with VS 2008 it is dead easy. You *just* need to install VS
2008 and no more extra SDKs. The free Express Edition of VS c++ 2008 is
sufficient.

All extra dependencies are in Python's SVN repository.

Christian
msg58714 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-18 00:11
Good to hear; thanks for the info!
msg59015 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-28 04:03
This patch doesn't seem like the right way to 
fix the 8.5 issue...Close it?
msg59023 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2007-12-28 13:35
I say close it, but start a discussion on switching to Tcl/Tk8.5 on the
appropriate list(s).
msg59024 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-28 13:53
Can you start a discussion on python-dev please? Tcl/Tk support should
be added to Python trunk (2.6) and ported to 3.0. Is it possible to keep
compatibility with Tcl/Tk 8.4, too?
History
Date User Action Args
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 3.0
2007-12-28 13:53:29christian.heimessetstatus: open -> closed
resolution: rejected
messages: + msg59024
2007-12-28 13:35:41taleinatsetmessages: + msg59023
2007-12-28 04:03:21kbksetmessages: + msg59015
2007-12-18 00:11:12kbksetmessages: + msg58714
2007-12-17 23:52:49christian.heimessetmessages: + msg58713
2007-12-17 21:58:47kbksetmessages: + msg58708
2007-12-15 02:01:19christian.heimessetmessages: + msg58650
2007-12-15 00:35:36taleinatsetnosy: + taleinat
2007-12-14 01:12:11kbksetmessages: + msg58605
2007-12-13 07:35:04christian.heimescreate